# Uses of Interface
java.lang.classfile.constantpool.FieldRefEntry

Packages that use FieldRefEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

- ## Uses of FieldRefEntry in java.lang.classfile

  Methods in java.lang.classfile with parameters of type FieldRefEntry
  Modifier and Type
  Method
  Description
  `default CodeBuilder`
  CodeBuilder.`fieldAccess(Opcode opcode, FieldRefEntry ref)`
  Generates an instruction to access a field.
  `default CodeBuilder`
  CodeBuilder.`getfield(FieldRefEntry ref)`
  Generates an instruction to fetch field from an object.
  `default CodeBuilder`
  CodeBuilder.`getstatic(FieldRefEntry ref)`
  Generates an instruction to get static field from a class or interface.
  `default CodeBuilder`
  CodeBuilder.`putfield(FieldRefEntry ref)`
  Generates an instruction to set field in an object.
  `default CodeBuilder`
  CodeBuilder.`putstatic(FieldRefEntry ref)`
  Generates an instruction to set static field in a class.

- ## Uses of FieldRefEntry in java.lang.classfile.constantpool

  Methods in java.lang.classfile.constantpool that return FieldRefEntry
  Modifier and Type
  Method
  Description
  `FieldRefEntry`
  ConstantPoolBuilder.`fieldRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
  Returns a `FieldRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.
  `default FieldRefEntry`
  ConstantPoolBuilder.`fieldRefEntry(ClassDesc owner, String name, ClassDesc type)`
  Returns a `FieldRefEntry` describing a field of a class.

- ## Uses of FieldRefEntry in java.lang.classfile.instruction

  Methods in java.lang.classfile.instruction that return FieldRefEntry
  Modifier and Type
  Method
  Description
  `FieldRefEntry`
  FieldInstruction.`field()`
  Returns the `FieldRefEntry` constant described by this instruction.
  Methods in java.lang.classfile.instruction with parameters of type FieldRefEntry
  Modifier and Type
  Method
  Description
  `static FieldInstruction`
  FieldInstruction.`of(Opcode op, FieldRefEntry field)`
  Returns a field access instruction.